LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   Squid 3.3.10 on Slackware 14 (http://www.linuxquestions.org/questions/slackware-14/squid-3-3-10-on-slackware-14-a-4175484340/)

devish 11-12-2013 09:22 AM

Squid 3.3.10 on Slackware 14
 
Hallo

I Installed Slackware 14 with this packets:

aaa_base-14.0-i486-5
aaa_elflibs-14.0-i486-4
acl-2.2.51-i486-1
attr-2.4.46-i486-1
autoconf-2.69-noarch-1
automake-1.11.5-noarch-1
bash-4.2.037-i486-1
bin-11.1-i486-1
bind-9.9.1_P3-i486-1
binutils-2.22.52.0.2-i486-2
bison-2.5.1-i486-1
bzip2-1.0.6-i486-1
clisp-2.49-i486-1
coreutils-8.19-i486-1
cxxlibs-6.0.17-i486-1
db42-4.2.52-i486-3
db44-4.4.20-i486-3
db48-4.8.30-i486-2
dcron-4.5-i486-4
devs-2.3.1-noarch-25
dialog-1.1_20100428-i486-2
diffutils-3.2-i486-1
e2fsprogs-1.42.6-i486-1
elvis-2.2_0-i486-2
etc-14.0-i486-1
expat-2.0.1-i486-2
findutils-4.4.2-i486-1
floppy-5.4-i386-3
gawk-3.1.8-i486-1
gcc-4.7.1-i486-1
gcc-g++-4.7.1-i486-1
gdbm-1.8.3-i486-4
gettext-0.18.1.1-i486-3
gettext-tools-0.18.1.1-i486-3
glib-1.2.10-i486-3
glib2-2.32.4-i486-1
glibc-2.15-i486-7
glibc-i18n-2.15-i486-7
glibc-solibs-2.15-i486-7
glibc-zoneinfo-2012f_2012f-noarch-7
gpm-1.20.1-i486-5
grep-2.14-i486-1
groff-1.21-i486-1
guile-1.8.8-i486-1
gzip-1.5-i486-1
hdparm-9.37-i486-1
infozip-6.0-i486-1
iproute2-3.4.0-i486-2
iptables-1.4.14-i486-1
joe-3.7-i486-1
kbd-1.15.3-i486-2
kernel-firmware-20120804git-noarch-1
kernel-headers-3.2.29_smp-x86-1
kernel-huge-3.2.29-i486-1
kernel-modules-3.2.29-i486-1
kmod-9-i486-3
less-451-i486-1
libexif-0.6.21-i486-1
libpcap-1.3.0-i486-1
libpng-1.4.12-i486-1
libtermcap-1.2.3-i486-7
libtool-2.4.2-i486-1
libxml2-2.8.0-i486-1
libxslt-1.1.26-i486-2
lilo-23.2-i486-3
links-2.7-i486-1
logrotate-3.8.2-i486-1
lsof-4.83-i486-1
m4-1.4.16-i486-1
make-3.82-i486-3
man-1.6g-i486-1
man-pages-3.41-noarch-1
mhash-0.9.9.9-i486-3
mkinitrd-1.4.7-i486-6
ncftp-3.2.5-i486-1
ncurses-5.9-i486-1
net-tools-1.60.20120726git-i486-1
netwatch-1.3.0-i486-1
network-scripts-14.00-noarch-3
openssh-6.1p1-i486-1
openssl-1.0.1c-i486-3
openssl-solibs-1.0.1c-i486-3
pciutils-3.1.9-i486-1
perl-5.16.1-i486-1
pkg-config-0.25-i486-1
pkgtools-14.0-noarch-2
popt-1.7-i486-3
procps-3.2.8-i486-3
readline-5.2-i486-4
samba-3.6.8-i486-1
screen-4.0.3-i486-3
sed-4.2.1-i486-1
shadow-4.1.4.3-i486-7
slocate-3.1-i486-4
strace-4.5.20-i486-1
sysklogd-1.5-i486-1
sysvinit-2.88dsf-i486-2
sysvinit-scripts-2.0-noarch-13
tar-1.26-i486-1
tcpdump-4.3.0-i486-1
texinfo-4.13a-i486-4
time-1.7-i486-1
traceroute-2.0.18-i486-1
tree-1.6.0-i486-1
udev-182-i486-5
util-linux-2.21.2-i486-5
vim-7.3.645-i486-1
wget-1.14-i486-1
whois-5.0.15-i486-1
zlib-1.2.6-i486-1
zsh-5.0.0-i486-1


I can Boot and the Installation is ok.
Now i want install Squid 3.3.10 on this Slackware 14 Installation but everytime when i did the ./configure command, this error came:
gcc error: C Compiler works ..no
gcc -v command unrecognized
gcc -qversion command unrecognized

But!, here is the Point, when i install slackware 14 full (with all packages) then i can ./configure, make and install squid 3.3.10 without any Problem.

So,
Which package of slackware 14 is missing to ./configure, make and install Squid 3.3.10???? Here's is the list of all slackware 14 included packages:
http://mirror.netcologne.de/slackwar...0/PACKAGES.TXT

Thanks!

kikinovak 11-12-2013 09:45 AM

I'm using Squid on Slackware servers, and it builds and works perfectly. Full installation without E, KDE{I}, XAP and XFCE, but with anything else.

http://www.microlinux.fr/slackware/s...-source/squid/

Side note: I played around a bit with minimal installations. There's always the unsuspected missing bit somewhere. Of course, you can always shave your system down. I've concluded for myself that it's not worth the hassle.

Cheers,

Niki

devish 11-12-2013 10:11 AM

Quote:

Originally Posted by kikinovak (Post 5063183)
I'm using Squid on Slackware servers, and it builds and works perfectly. Full installation without E, KDE{I}, XAP and XFCE, but with anything else.

http://www.microlinux.fr/slackware/s...-source/squid/

Side note: I played around a bit with minimal installations. There's always the unsuspected missing bit somewhere. Of course, you can always shave your system down. I've concluded for myself that it's not worth the hassle.

Cheers,

Niki

Hi Niki

Thanks for your reply but install all packages without E, KDE(+1), XAP and XFCE isn't an Option.
I worked hard to put togehter all packages and to Keep the slackware small, otherwise it would be 4GB instead of 1GB.

I Need the Informationen why does gcc doesn't recognize command -v and -qversion and which packages i Need for ./configure, make and install squid 3.3.10 on slackware 14.0.
I think it's one library more or maybe an another gcc Version or something small????


Thanks

fskmh 11-12-2013 10:18 AM

Here's a list of the libraries that squid (3.3.8) is linked against on my Slack64-current/14.1 system. Hopefully this will help you narrow things down a bit.

Code:

readelf -d /usr/sbin/squid | grep NEEDED
 0x0000000000000001 (NEEDED)            Shared library: [libpthread.so.0]
 0x0000000000000001 (NEEDED)            Shared library: [libcrypt.so.1]
 0x0000000000000001 (NEEDED)            Shared library: [libstdc++.so.6]
 0x0000000000000001 (NEEDED)            Shared library: [libssl.so.1]
 0x0000000000000001 (NEEDED)            Shared library: [libcrypto.so.1]
 0x0000000000000001 (NEEDED)            Shared library: [libnsl.so.1]
 0x0000000000000001 (NEEDED)            Shared library: [libbsd.so.0]
 0x0000000000000001 (NEEDED)            Shared library: [libresolv.so.2]
 0x0000000000000001 (NEEDED)            Shared library: [libcap.so.2]
 0x0000000000000001 (NEEDED)            Shared library: [librt.so.1]
 0x0000000000000001 (NEEDED)            Shared library: [libltdl.so.7]
 0x0000000000000001 (NEEDED)            Shared library: [libdl.so.2]
 0x0000000000000001 (NEEDED)            Shared library: [libm.so.6]
 0x0000000000000001 (NEEDED)            Shared library: [libgcc_s.so.1]
 0x0000000000000001 (NEEDED)            Shared library: [libc.so.6]


BrZ 11-12-2013 11:29 AM

Found this link about prerequisites for gcc, with mentions to mpfr, mpc (libmpc), gmp and others. Llvm could be useful.

kikinovak 11-12-2013 03:26 PM

Just a crazy whim, but the "file" utility is missing from your package list.

devish 11-13-2013 11:53 AM

Quote:

Originally Posted by BrZ (Post 5063242)
Found this link about prerequisites for gcc, with mentions to mpfr, mpc (libmpc), gmp and others. Llvm could be useful.

BrZ your are the man!

I installed this three Packages mpfr, mpc (lipmpc) and gmp, now i can ./configure, make and make install squid 3.3.10 on slackware 14.

Very nice, thanks for your help and the help of everyone here, i hope in future it works as well as today, otherwise i will write here again in this good Forum ;)


All times are GMT -5. The time now is 03:49 PM.